/*
 * Copyright 2023 Dash Core Group.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.dash.wallet.features.exploredash.data.dashdirect.model.signin

import com.google.gson.annotations.SerializedName

data class SignInResponse(
    @SerializedName("AccessToken") val accessToken: Any? = Any(),
    @SerializedName("Data") val `data`: Data? = Data(),
    @SerializedName("DelayedToken") val delayedToken: Any? = Any(),
    @SerializedName("ErrorMessage") val errorMessage: String? = "",
    @SerializedName("IsDelayed") val isDelayed: Boolean? = false,
    @SerializedName("Successful") val successful: Boolean? = false
) {
    data class Data(
        @SerializedName("Birthday") val birthday: String? = "",
        @SerializedName("Email") val email: String? = "",
        @SerializedName("EmailNotifications") val emailNotifications: Boolean? = false,
        @SerializedName("FirstName") val firstName: String? = "",
        @SerializedName("HasAgreedToBetaTesting") val hasAgreedToBetaTesting: Boolean? = false,
        @SerializedName("HasReadTerms") val hasReadTerms: Boolean? = false,
        @SerializedName("HomePhone") val homePhone: String? = "",
        @SerializedName("Id") val id: Int? = 0,
        @SerializedName("IsMember") val isMember: Boolean? = false,
        @SerializedName("IsVerified") val isVerified: Boolean? = false,
        @SerializedName("JoinRewards") val joinRewards: Boolean? = false,
        @SerializedName("LastName") val lastName: String? = "",
        @SerializedName("MemberNumber") val memberNumber: Any? = Any(),
        @SerializedName("MiddleName") val middleName: String? = "",
        @SerializedName("MobilePhone") val mobilePhone: String? = "",
        @SerializedName("PrimaryAddressId") val primaryAddressId: Any? = Any(),
        @SerializedName("StatusCode") val statusCode: Int? = 0,
        @SerializedName("StatusText") val statusText: String? = "",
        @SerializedName("UseEmail") val useEmail: Boolean? = false,
        @SerializedName("UseSms") val useSms: Boolean? = false,
        @SerializedName("Username") val username: String? = ""
    )
}
